# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /Users/runner/work/1/s/recipes/poseidon-trident, last modified Thu Feb 17 10:33:05 2022
# ------------------------------------------------

package:
  name: poseidon-trident
  version: 0.26.1
source:
  - md5: 83c92720c0d2cea69ff9a993e29c7668
    url: https://github.com/poseidon-framework/poseidon-hs/releases/download/v0.26.1/trident-macOS
build:
  number: '0'
  script:
    - mkdir -p $PREFIX/bin
    - mv trident* $PREFIX/bin/trident
    - chmod u+x $PREFIX/bin/trident
  string: h452e1f2_0
requirements:
  build:
    - ca-certificates 2021.10.8 h033912b_0
    - cctools_osx-64 973.0.1 hb41342b_7
    - clang 11.1.0 h694c41f_1
    - clang-11 11.1.0 default_he082bbe_1
    - clang_osx-64 11.1.0 hc8532ff_6
    - clangxx 11.1.0 default_he082bbe_1
    - compiler-rt 11.1.0 h654b07c_0
    - compiler-rt_osx-64 11.1.0 h8c5fa43_0
    - ld64_osx-64 609 h6adca69_7
    - libclang-cpp11.1 11.1.0 default_he082bbe_1
    - libcxx 12.0.1 habf9029_1
    - libllvm11 11.1.0 hd011deb_3
    - libzlib 1.2.11 h9173be1_1013
    - llvm-tools 11.1.0 hd011deb_3
    - openssl 3.0.0 h0d85af4_2
    - sigtool 0.1.3 h88f4db0_0
    - tapi 1100.0.11 h9ce4665_0
  host:
    - gmp 6.2.1 h2e338ed_0
    - libcxx 12.0.1 habf9029_1
    - libzlib 1.2.11 h9173be1_1013
    - zlib 1.2.11 h9173be1_1013
  run:
    - gmp >=6.2.1,<7.0a0
    - gmp >=6.2.1,<7.0a0
    - libzlib >=1.2.11,<1.3.0a0
    - zlib >=1.2.11,<1.3.0a0
test:
  commands:
    - trident --version
about:
  home: https://poseidon-framework.github.io/#/
  license: MIT
  summary: A tool (trident) to work with modular genotype databases formatted using
    Poseidon.
extra:
  copy_test_source_files: true
  final: true
